READLINK(1)

NOM
readlink - Afficher la valeur d'un lien symbolique après résolution ou le nom canonique d'un fichier

SYNOPSIS
readlink [OPTION]... FICHIER...

DESCRIPTION

Afficher la valeur d'un lien symbolique ou le nom canonique d'un fichier.

-f, --canonicalize
    normaliser en suivant récursivement chaque lien symbolique de chaque composant du nom donné ; tous les composants sauf le dernier doivent exister

-e, --canonicalize-existing
    normaliser en suivant récursivement chaque lien symbolique de chaque composant du nom donné ; tous les composants doivent exister

-m, --canonicalize-missing
    normaliser en suivant récursivement chaque lien symbolique de chaque composant du nom donné, sans avoir besoin que tous les composants existent

-n, --no-newline
    ne pas afficher le délimiteur final

-q, --quiet,

-s, --silent
    supprimer la plupart des messages d'erreur

-v, --verbose
    signaler les messages d'erreur

-z, --zero
    Séparer chaque ligne par un caractère NUL (code ASCII zéro) plutôt que par un retour à la ligne

--help
    Afficher l'aide-mémoire et quitter

--version
    Afficher le nom et la version du logiciel et quitter

AUTEUR
Écrit par Dmitry V. Levin.

SIGNALER DES BOGUES
Signaler toute anomalie de readlink à bug-coreutils@gnu.org
Page d'accueil de GNU coreutils : <http://www.gnu.org/software/coreutils/>
Aide générale sur l'utilisation des logiciels GNU : <http://www.gnu.org/gethelp/>
Signaler toute erreur de traduction de readlink à <http://translationproject.org/team/>

COPYRIGHT
Copyright © 2013 Free Software Foundation, Inc. Licence GPLv3+ : GNU GPL version 3 ou supérieures <http://gnu.org/licenses/gpl.html>
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer. Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

VOIR AUSSI
realpath(1), readlink(2), realpath(3)

La documentation complète pour readlink est disponible dans un manuel Texinfo. Si les programmes info et readlink sont correctement installés sur votre système, la commande

    info coreutils 'readlink invocation'

devrait vous donner accès au manuel complet (en anglais).

TRADUCTION
Cette page de manuel a été traduite par Michel Robitaille <robitail AT iro DOT umontreal DOT ca> et mise à jour pour Debian par Franck Bassi <fblinux AT wanadoo DOT fr> et les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.